Bug 212170 - cyrillic vs latin: same glyphs appear differently
Summary: cyrillic vs latin: same glyphs appear differently
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: freetype   
(Show other bugs)
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Behdad Esfahbod
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-10-25 14:26 UTC by Alexei Podtelezhnikov
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: f8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-01 01:18:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
compare latin and cyrillic (12.04 KB, image/png)
2006-10-25 14:26 UTC, Alexei Podtelezhnikov
no flags Details

Description Alexei Podtelezhnikov 2006-10-25 14:26:00 UTC
Description of problem:
Some glyphs in Cyrillic and Latin are actually supposed to look the same. 
These are "a", "c", "e", "o", and "p" with round-tops for example. I am 
attaching the picture which demonstrates that freetype treats them differently 
in dejavu serif font. The Cyrillic counterparts are too tall at some sizes, 
while Latin versions are always ok.  

Version-Release number of selected component (if applicable): 
freetype-2.2.1-10.fc6
dejavu-lgc-fonts-2.10-1


How reproducible:
At some font sizes

Steps to Reproduce:
1. http://lenta.ru which uses Cyrillic serif in a spectrum of sizes with 
occasional (always beautiful) Latin
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Alexei Podtelezhnikov 2006-10-25 14:26:01 UTC
Created attachment 139350 [details]
compare latin and cyrillic

Comment 2 Alexei Podtelezhnikov 2006-10-27 19:27:59 UTC
The bug is definitely in freetype and, maybe, downstream as well. It is too 
bad that fc6 ftview is broken to demonstrate this. but here is a link:
http://lists.nongnu.org/archive/html/freetype/2006-10/msg00048.html

Comment 3 Alexei Podtelezhnikov 2006-11-21 23:42:52 UTC
Greek serifs also look bad. Please, 2.2.2 sooner, please!


Note You need to log in before you can comment on or make changes to this bug.